#
# spec file for package yast2-snapper
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-snapper
Version:        5.0.0
Release:        1.8
Summary:        YaST - file system snapshots review
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-snapper/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  doxygen
BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 4.1.60
BuildRequires:  yast2-devtools >= 4.4.0
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
BuildRequires:  rubygem(%{rb_default_ruby_abi}:ruby-dbus)
Requires:       snapper
Requires:       yast2 >= 4.1.60
Requires:       yast2-ruby-bindings >= 1.0.0
Requires:       rubygem(%{rb_default_ruby_abi}:ruby-dbus)
Supplements:    (snapper and yast2)
# change to noarch causes problems according to behlert
# BuildArch:      noarch

%description
YaST module for accessing and managing file-system snapshots

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%license COPYING
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_icondir}

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Tue Apr  4 2023 Stefan Hundhammer <shundhammer@suse.com>
- Fixed translations: Moved variable message part out of _(...)
  (bsc#1209956)
- 4.6.1
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Mon Jan 24 2022 David Diaz <dgonzalez@suse.com>
- Do not crash when trying to show found differences
  between snapshots (bsc#1195021).
- 4.4.2
* Tue Apr 20 2021 Dirk Müller <dmueller@suse.com>
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Wed Mar  6 2019 aschnell@suse.com
- added button to refresh list of snapshots (bsc#1128279, or just
  as good gh#yast/yast-yast2#713 )
- 4.1.2
* Tue Mar  5 2019 aschnell@suse.com
- enable rubocop
- 4.1.1
* Fri Dec  7 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- 4.1.0
* Mon Nov 26 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.0.6
* Wed Oct 17 2018 Stefan Hundhammer <shundhammer@suse.com>
- Better module description for YaST control center (bsc#1085071)
- 4.0.5
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Fri Aug 17 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Wed Jul 25 2018 knut.anderssen@suse.com
- Use the correct snapshot number when restoring selected massively
  (bsc#956955)
- 4.0.4
* Tue Jul 24 2018 schubi@suse.de
- Do not translate items of snapshot combo box. (bsc#1086633)
- 4.0.3
* Tue Jun 26 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.2
* Thu Oct  5 2017 aschnell@suse.com
- make dialog caption bigger (bsc#1061498)
- 4.0.1
* Tue Sep 12 2017 igonzalezsosa@suse.com
- Add missing dependency on ruby-dbus library (bsc#1058127)
- 4.0.0
* Thu Jan  5 2017 jreidinger@suse.com
- Fixed tests to pass with the latest yast2-core and
  yast2-ruby-bindings packages (related to the bsc#932331 fix)
- 3.2.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.11
* Wed Nov 18 2015 teclator@gmail.com
- disable delete and modify snapshots if not exist (bsc#951179)
- 3.1.10
* Mon Jun 15 2015 aschnell@suse.de
- removed noarch tag again (bsc#934856)
- 3.1.9
* Thu Jun 11 2015 aschnell@suse.de
- removed hardcoded require for libsnapper (see bsc#934249)
- 3.1.8
* Tue May 12 2015 aschnell@suse.de
- use DBus interface instead of libsnapper (fate#316647)
- tagged RPM as noarch
- use status icons from yast2-branding
- delete pre and post snapshot when selecting delete for a pre post
  pair
- 3.1.7
* Mon Feb 16 2015 aschnell@suse.de
- adapted to changes in snapper
- 3.1.6
* Fri Dec 12 2014 aschnell@suse.de
- handle invalid UTF-8 in file diff (bsc#907679)
- 3.1.5
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Mon May 26 2014 aschnell@suse.de
- avoid time format that needs translation (bnc#878613)
- 3.1.3
* Tue May  6 2014 aschnell@suse.de
- improved error message on systems with no snapper configs
  (bnc#876535)
- 3.1.2
* Wed Nov  6 2013 aschnell@suse.de
- added supplements snapper and yast2 (fate#314695)
* Tue Oct 15 2013 jsuchome@suse.cz
- require the version of libsnapper used during build (bnc#845618)
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Mon Sep  9 2013 jsuchome@suse.cz
- added API for subvolume handling
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Fri Jul 12 2013 aschnell@suse.de
- adapted to libsnapper change
- 2.24.1
* Wed Apr 24 2013 jsuchome@suse.cz
- disable Show Changes when there's no snapshot (bnc#815177)
  adapt the layout so it does not break with lower resolution
  (bnc#814542)
- 2.24.0
* Thu Mar  7 2013 jsuchome@suse.cz
- mark visible strings for translations (bnc#807719)
- 2.23.1
* Mon Nov 19 2012 aschnell@suse.de
- added binding for Snapper::createConfig
- 2.23.0
* Tue Sep 11 2012 jsuchome@suse.cz
- enable deleting snapshots
- enable editing lonely pre snapshots
- read, show and edit cleanup algorithm
- 2.22.7
* Wed Sep  5 2012 jsuchome@suse.cz
- added support for creating and modifying snapshots (fate#313041)
- show and enable editing of userdata
- 2.22.6
* Tue Jun 12 2012 aschnell@suse.de
- adapted to logging changes in libsnapper (fate #313242)
- 2.22.5
* Thu Mar 29 2012 jsuchome@suse.cz
- merge proofread texts
- 2.22.4
* Mon Jan 16 2012 jsuchome@suse.cz
- when reverting changes to selected snapshot, delete files as well
  (bnc#741214)
- confirmed license
- 2.22.3
* Thu Nov 24 2011 jsuchome@suse.cz
- removed fixed sizes in UI, to prevent breaking Gtk (bnc#731363)
- 2.22.2
* Mon Nov 21 2011 jsuchome@suse.cz
- there might be other configs than 'root' (bnc#731687)
- 2.22.1
* Wed Nov 16 2011 jsuchome@suse.cz
- merged texts from proofreading
- 2.22.0
* Fri Oct 14 2011 jsuchome@suse.cz
- use the <pre> tag for the diff, so spaces are not lost
  (bnc#723621)
- 2.21.16
* Thu Oct 13 2011 jsuchome@suse.cz
- colorize the diff output (bnc#723660)
- 2.21.15
* Wed Oct 12 2011 jsuchome@suse.cz
- more optimalization in C++ code
- use fixed font for showing the diff (bnc#723621)
- escape HTML tags in diff output
- 2.21.14
* Mon Oct 10 2011 jsuchome@suse.cz
- agent: pass map refereces as arguments
- quote strings passed to bash commands
- fixed testsuite
- 2.21.13
* Fri Oct  7 2011 jsuchome@suse.cz
- removed conflicting statusToString
- 2.21.12
* Fri Oct  7 2011 jsuchome@suse.cz
- support more snapper configurations (bnc#719482)
- show path to current subvolume above filesystem tree (bnc#719482)
- close the feedback window correctly (bnc#722477)
- 2.21.11
* Wed Sep 28 2011 visnov@suse.cz
- set dialog title
- 2.21.10
* Tue Aug 30 2011 jsuchome@suse.cz
- added icon (bnc#711193)
- 2.21.9
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Fri Jul 22 2011 locilka@suse.cz
- Obsoleted X-KDE-SubstituteUID replaced with xdg-su in Exec in
  desktop file (bnc#540627)
- 2.21.8
* Wed Jun 22 2011 jsuchome@suse.cz
- added testsuite
- 2.21.7
* Mon May 30 2011 jsuchome@suse.cz
- ask snapper library for snapshot paths
- 2.21.6
* Wed May 11 2011 jsuchome@suse.cz
- added initialization code to agent, check for exceptions
- updated agent documentation
- 2.21.5
* Mon Apr 18 2011 jsuchome@suse.cz
- removed YCP code for Tree recursive selection, widget can do it
  itself now (bnc#686639)
- 2.21.4
* Fri Apr 15 2011 jsuchome@suse.cz
- return map structures from agent, to speed up building tree
  content (bnc#686639)
- solve restoring directories (bnc#686619)
- 2.21.3
* Thu Mar 24 2011 jsuchome@suse.cz
- added agent documentation
- 2.21.2
* Wed Mar 23 2011 jsuchome@suse.cz
- license update
- 2.21.1
* Mon Mar  7 2011 jsuchome@suse.cz
- first release for Factory
- 2.21.0
* Thu Mar  3 2011 jsuchome@suse.cz
- check selected file mode and ownership
* Mon Feb 28 2011 jsuchome@suse.cz
- added option to compare with arbitrary snapshot
* Thu Feb 24 2011 jsuchome@suse.cz
- tree handling in YCP
- added restore function
- show 3 possible ways to diff
* Wed Feb  2 2011 jsuchome@suse.cz
- added scr agent to access snapper library
* Mon Dec 13 2010 jsuchome@suse.cz
- initial version
